/*
 * (c) 2006 Thomas Maier-Komor
 * LICENSE: GPLv2, see file COPYING for details
 */

#include <assert.h>
#include <curses.h>
#include <errno.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/wait.h>
#include <unistd.h>

#include "log.h"

int Verbose = 0;

#ifdef DEBUG
static FILE *Log = 0;

void dbug(const char *msg, ...)
{
	va_list val;
	if (Log == 0) {
		Log = fopen("sysstat.log","a");
		assert(Log);
	}
	va_start(val,msg);
	(void) vfprintf(Log,msg,val);
	fflush(Log);
	va_end(val);
}
#endif


void info(const char *msg, ...)
{
	va_list val;

	if (Verbose == 0)
		return;
	va_start(val,msg);
	(void) vfprintf(stderr,msg,val);
	va_end(val);
}


void warn(const char *msg, ...)
{
	va_list val;

	va_start(val,msg);
	(void) fprintf(stderr,"warning: ");
	(void) vfprintf(stderr,msg,val);
	va_end(val);
}


void error(const char *msg, ...)
{
	va_list val;

	va_start(val,msg);
	(void) vfprintf(stderr,msg,val);
	va_end(val);
	exit(EXIT_FAILURE);
}


